# Find template at https://github.com/alacritty/alacritty/blob/master/alacritty.yml

window:
  decorations: full
  startup_mode: Windowed
  title: Alacritty

  class:
    instance: Alacritty
    general: Alacritty

scrolling:
  history: 10000
  multiplier: 3

# Font configuration
font:
  normal:
    family: monospace
    style: Regular

  bold:
    family: monospace
    style: Bold

  italic:
    family: monospace
    style: Italic

  bold_italic:
    family: monospace
    style: Bold Italic

  size: 12.0

  offset:
    x: 0
    y: 0

  glyph_offset:
    x: 0
    y: 0

# If `true`, bold text is drawn using the bright color variants.
draw_bold_text_with_bright_colors: false

# Colors (Terminal.app Basic)
colors:
  primary:
    background: "#FFFFFF"
    foreground: "#000000"
  normal:
    black:      "#000000"
    red:        "#990000"
    green:      "#00A600"
    yellow:     "#999900"
    blue:       "#0000B2"
    magenta:    "#B200B2"
    cyan:       "#00A6B2"
    white:      "#BFBFBF"
  bright:
    black:      "#666666"
    red:        "#E50000"
    green:      "#00D900"
    yellow:     "#E5E500"
    blue:       "#0000FF"
    magenta:    "#E500E5"
    cyan:       "#00E5E5"
    white:      "#E5E5E5"

background_opacity: 1.0

selection:
  semantic_escape_chars: ",│`|:\"' ()[]{}<>\t"
  save_to_clipboard: true

dynamic_title: true

cursor:
  # Values for `style`:
  #   - ▇ Block
  #   - _ Underline
  #   - | Beam
  style: Block
  unfocused_hollow: true

live_config_reload: true

alt_send_esc: true

mouse:
  double_click: { threshold: 300 }
  triple_click: { threshold: 300 }

  hide_when_typing: true

  url:
    launcher:
      program: xdg-open
      args: []

    modifiers: None

mouse_bindings:
  - { mouse: Middle, action: PasteSelection }

key_bindings:
  - { key: V,        mods: Control|Shift, action: Paste            }
  - { key: C,        mods: Control|Shift, action: Copy             }
  - { key: Insert,   mods: Shift,         action: PasteSelection   }
  - { key: Key0,     mods: Control,       action: ResetFontSize    }
  - { key: Equals,   mods: Control,       action: IncreaseFontSize }
  - { key: Add,      mods: Control,       action: IncreaseFontSize }
  - { key: Subtract, mods: Control,       action: DecreaseFontSize }
  - { key: Minus,    mods: Control,       action: DecreaseFontSize }

  - { key: Paste,                    action: Paste                            }
  - { key: Copy,                     action: Copy                             }
  - { key: L,         mods: Control, action: ClearLogNotice                   }
  - { key: L,         mods: Control, chars: "\x0c"                            }
  - { key: PageUp,    mods: Shift,   action: ScrollPageUp,   mode: ~Alt       }
  - { key: PageDown,  mods: Shift,   action: ScrollPageDown, mode: ~Alt       }
  - { key: Home,      mods: Shift,   action: ScrollToTop,    mode: ~Alt       }
  - { key: End,       mods: Shift,   action: ScrollToBottom, mode: ~Alt       }
  - { key: Return,    mods: Shift, action: SpawnNewInstance }

debug:
  render_timer: false
  persistent_logging: false
  log_level: Warn
  print_events: false
